RDKit: RDKit::RascalMCES::RascalOptions Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDKit::RascalMCES::RascalOptions Struct Reference

`#include <RascalOptions.h>`

## Public Attributes
double | similarityThreshold
bool | completeAromaticRings
bool | ringMatchesRingOnly
bool | completeSmallestRings
bool | exactConnectionsMatch
bool | singleLargestFrag
int | minFragSize
int | maxFragSeparation = -1
bool | allBestMCESs
unsigned int | maxBestMCESs = 10000
int | timeout = 60
bool | doEquivBondPruning
bool | returnEmptyMCES = false
unsigned int | maxBondMatchPairs = 1000
std::string | equivalentAtoms = ""
bool | ignoreBondOrders = false
bool | ignoreAtomAromaticity = true
unsigned int | minCliqueSize = 0

## Detailed Description

Definition at line 20 of file RascalOptions.h.

## Member Data Documentation

## ◆ allBestMCESs

bool RDKit::RascalMCES::RascalOptions::allBestMCESs

Initial value:
=
false

Definition at line 48 of file RascalOptions.h.

## ◆ completeAromaticRings

bool RDKit::RascalMCES::RascalOptions::completeAromaticRings

Initial value:
=
true

Definition at line 23 of file RascalOptions.h.

## ◆ completeSmallestRings

bool RDKit::RascalMCES::RascalOptions::completeSmallestRings

Initial value:
=
false

Definition at line 27 of file RascalOptions.h.

## ◆ doEquivBondPruning

bool RDKit::RascalMCES::RascalOptions::doEquivBondPruning

Initial value:
=
false

Definition at line 58 of file RascalOptions.h.

## ◆ equivalentAtoms

std::string RDKit::RascalMCES::RascalOptions::equivalentAtoms = ""

Definition at line 67 of file RascalOptions.h.

## ◆ exactConnectionsMatch

bool RDKit::RascalMCES::RascalOptions::exactConnectionsMatch

Initial value:
=
false

Definition at line 31 of file RascalOptions.h.

## ◆ ignoreAtomAromaticity

bool RDKit::RascalMCES::RascalOptions::ignoreAtomAromaticity = true

Definition at line 74 of file RascalOptions.h.

## ◆ ignoreBondOrders

bool RDKit::RascalMCES::RascalOptions::ignoreBondOrders = false

Definition at line 72 of file RascalOptions.h.

## ◆ maxBestMCESs

unsigned int RDKit::RascalMCES::RascalOptions::maxBestMCESs = 10000

Definition at line 51 of file RascalOptions.h.

## ◆ maxBondMatchPairs

unsigned int RDKit::RascalMCES::RascalOptions::maxBondMatchPairs = 1000

Definition at line 64 of file RascalOptions.h.

## ◆ maxFragSeparation

int RDKit::RascalMCES::RascalOptions::maxFragSeparation = -1

Definition at line 46 of file RascalOptions.h.

## ◆ minCliqueSize

unsigned int RDKit::RascalMCES::RascalOptions::minCliqueSize = 0

Definition at line 77 of file RascalOptions.h.

## ◆ minFragSize

int RDKit::RascalMCES::RascalOptions::minFragSize

Initial value:
=
-1

Definition at line 44 of file RascalOptions.h.

## ◆ returnEmptyMCES

bool RDKit::RascalMCES::RascalOptions::returnEmptyMCES = false

Definition at line 61 of file RascalOptions.h.

## ◆ ringMatchesRingOnly

bool RDKit::RascalMCES::RascalOptions::ringMatchesRingOnly

Initial value:
=
false

Definition at line 25 of file RascalOptions.h.

## ◆ similarityThreshold

double RDKit::RascalMCES::RascalOptions::similarityThreshold

Initial value:
=
0.7

Definition at line 21 of file RascalOptions.h.

## ◆ singleLargestFrag

bool RDKit::RascalMCES::RascalOptions::singleLargestFrag

Initial value:
=
false

Definition at line 35 of file RascalOptions.h.

## ◆ timeout

int RDKit::RascalMCES::RascalOptions::timeout = 60

Definition at line 57 of file RascalOptions.h.

The documentation for this struct was generated from the following file:

- RascalOptions.h